Package org.apache.wiki.ui.admin

# Interface AdminBean

All Superinterfaces:
  `GenericHTTPHandler`

All Known Implementing Classes:
  `CoreBean`, `FilterBean`, `ModuleBean`, `PlainEditorAdminBean`, `PluginBean`, `SearchManagerBean`, `SimpleAdminBean`, `UserBean`, `WikiFormAdminBean`

public interface AdminBean extends GenericHTTPHandler
Describes an administrative bean.

Since:
  2.5.52

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CORE`
`static final int`
`EDITOR`
`static final int`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTitle()`
Return a human-readable title for this AdminBean.
`int`
`getType()`
Returns a type (UNKNOWN, EDITOR, etc).
`void`
`initialize(org.apache.wiki.api.core.Engine engine)`

### Methods inherited from interface org.apache.wiki.ui.GenericHTTPHandler

`doGet, doPost, getId`

## Field Details

### UNKNOWN

static final int UNKNOWN

See Also:
  - Constant Field Values

### CORE

static final int CORE

See Also:
  - Constant Field Values

### EDITOR

static final int EDITOR

See Also:
  - Constant Field Values

## Method Details

### initialize

void initialize(org.apache.wiki.api.core.Engine engine)

### getTitle

String getTitle()
Return a human-readable title for this AdminBean.

Returns:
  the bean's title

### getType

int getType()
Returns a type (UNKNOWN, EDITOR, etc).

Returns:
  the bean's type